/* mydefs.h 9.5 92/07/01 19:28:27
*/
#define HOSTID      100
#define ALLNODES    -1

#define INIT        130 
#define DATA        131
#define OK          132
#define WIDTH       133
#define HEIGHT      134
#define BCAST       135
#define SERVER      136
#define FINISHED    137

#define round(fnum) ((int)(fnum + 0.5))

struct g_params_tag {
   double param;               /* parameter for function to be graphed */
   double xmax;                /* max x value */
   double xmin;                /* min x value */
   double xscale;              /* x value for x delta difference */ 
   double ymax;                /* max y value */
   double ymin;                /* min y value */
   double yscale;              /* y value for y delta difference */
   int    xbox;                /* nbr of pixels on x axis */
   int    x_border;            /* nbr of pixels on right(left) of x axis */
   int    scrx_max;            /* nbr of horizontal pixels in window */
   int    ybox;                /* nbr of pixels on y axis */ 
   int    y_border;            /* nbr of pixels on top(bottom) of y axis */
   int    scry_max;            /* nbr of pixels on y axis */
};

